%global pypi_name boto3

Name:           python-%{pypi_name}
Version:        1.16.50
Release:        %mkrel 1
Summary:        The AWS SDK for Python
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/boto3/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Boto3 is the Amazon Web Services (AWS) Software Development
Kit (SDK) for Python, which allows Python developers to
write software that makes use of services like Amazon S3
and Amazon EC2.

%package -n     python3-%{pypi_name}
Summary:        The AWS SDK for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-wheel
BuildRequires:  python3dist(botocore) >= 1.13.21
BuildRequires:  python3dist(jmespath)
BuildRequires:  python3dist(s3transfer)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Boto3 is the Amazon Web Services (AWS) Software Development
Kit (SDK) for Python3, which allows Python developers to
write software that makes use of services like Amazon S3
and Amazon EC2.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove online tests
rm -rf tests/integration

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-*.egg-info/


%changelog
* Thu Jan 07 2021 neoclust <neoclust> 1.16.50-1.mga8
+ Revision: 1669675
- New version 1.16.50

* Thu Dec 24 2020 daviddavid <daviddavid> 1.16.43-1.mga8
+ Revision: 1663503
- new version: 1.16.43

* Tue Dec 15 2020 daviddavid <daviddavid> 1.16.35-1.mga8
+ Revision: 1657627
- new version: 1.16.35

* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.16.15-1.mga8
+ Revision: 1644661
- new version 1.16.15

* Sat Nov 07 2020 guillomovitch <guillomovitch> 1.16.13-1.mga8
+ Revision: 1643300
- new version 1.16.13

* Thu Oct 22 2020 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1638519
- new version: 1.16.2

* Fri Sep 18 2020 daviddavid <daviddavid> 1.15.0-1.mga8
+ Revision: 1628613
- new version: 1.15.0

* Mon Sep 14 2020 daviddavid <daviddavid> 1.14.60-1.mga8
+ Revision: 1626516
- new version: 1.14.60

* Sat Aug 29 2020 daviddavid <daviddavid> 1.14.51-1.mga8
+ Revision: 1619520
- new version: 1.14.51

* Mon Aug 10 2020 daviddavid <daviddavid> 1.14.38-1.mga8
+ Revision: 1613062
- new version: 1.14.38

* Tue Jul 14 2020 daviddavid <daviddavid> 1.14.20-1.mga8
+ Revision: 1605947
- new version: 1.14.20

* Sun May 31 2020 daviddavid <daviddavid> 1.13.19-1.mga8
+ Revision: 1589219
- new version: 1.13.19

* Tue Apr 28 2020 daviddavid <daviddavid> 1.12.47-1.mga8
+ Revision: 1572861
- new version: 1.12.47

* Fri Apr 10 2020 daviddavid <daviddavid> 1.12.39-1.mga8
+ Revision: 1566020
- new version: 1.12.39

* Sat Mar 28 2020 daviddavid <daviddavid> 1.12.31-1.mga8
+ Revision: 1561339
- new version: 1.12.31

* Tue Feb 18 2020 umeabot <umeabot> 1.10.21-2.mga8
+ Revision: 1538882
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 daviddavid <daviddavid> 1.10.21-1.mga8
+ Revision: 1463180
- new version: 1.10.21

* Mon Oct 21 2019 daviddavid <daviddavid> 1.9.225-1.mga8
+ Revision: 1454886
- initial package python-boto3

